<?php declare(strict_types=1);
/**
 * Banker
 *
 * A Caching library implementing psr/cache
 *
 * PHP version 7.0
 *
 * @package     Banker
 * @author      Timothy J. Warren <tim@timshomepage.net>
 * @copyright   2016  Timothy J. Warren
 * @license     http://www.opensource.org/licenses/mit-license.html  MIT License
 * @version     1.0.0
 * @link        https://git.timshomepage.net/timw4mail/banker
 */

namespace Aviat\Banker\Tests\Driver;

use Aviat\Banker\Driver\MemcachedDriver;

class MemcachedDriverTest extends DriverTestBase {

	public function setUp()
	{
		$this->driver = new MemcachedDriver([
			'host' => 'localhost',
			'port' => '11211',
		]);
		$this->driver->flush();
	}
}