<?php declare(strict_types=1);
/**
 * Banker
 *
 * A Caching library implementing psr/cache
 *
 * PHP version 7.0
 *
 * @package     Banker
 * @author      Timothy J. Warren <tim@timshomepage.net>
 * @copyright   2016  Timothy J. Warren
 * @license     http://www.opensource.org/licenses/mit-license.html  MIT License
 * @version     1.0.0
 * @link        https://git.timshomepage.net/timw4mail/banker
 */

namespace Aviat\Banker\Tests;

use Aviat\Banker\ItemCollection;
use PHPUnit\Framework\TestCase;

class ItemCollectionTest extends TestCase {
	
	public function setUp()
	{
		$this->collection = new ItemCollection([]);
	}
	
	public function testJsonSerialize()
	{
		$this->assertEquals([], $this->collection->jsonSerialize());
		
		$json = json_encode($this->collection);
		$result = json_decode($json);
		$this->assertEquals([], $result);
	}
}